#
# spec file for package xmms-kde (Version 0.6.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext glib glib-devel gpp gtk gtk-devel iso_ent jade_dsl kdebase kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xmms
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip iso_ent jade_dsl kbd kdebase kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xmms xshared

Name:         xmms-kde
%define my_provides /tmp/my-provides
Requires:     xmms
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      xmms control applet for KDE 2 panel (Kicker)
Version:      0.6.5
Release:      177
Source0:      xmms-kde-0.6.5.tar.bz2
Patch0:       xmms-kde-0.6.5.dif
Source1:      xmmsarts-0.4.tar.bz2
Patch1:       xmmsarts-0.4.dif
BuildRoot:    /var/tmp/%{name}-buildroot

%description
This is a small applet to control the xmms. It docks to the KDE 2
panel (Kicker).  The package includes also aRts output plugin,
so that xmms can play sounds through the arts server.

Authors:
--------
    Flo Niebling <tranqlzer@users.sourceforge.net>
    Janosch Rolles <the.cunning@gmx.net>
    B. Heath Robinson <bheathr@mail.com>

SuSE series: k2de

%prep
%setup -c -n xmms-kde -T -a 0 -a 1
cd xmms-kde-%{version}
%patch
cd ../xmms-arts-0.4
%patch1
cd ..
mkdir -p docs/xmms-applet
cd xmms-kde*
cp -a AUTHORS COPYING ChangeLog TODO INSTALL ../docs/xmms-applet
cd ..
mkdir -p docs/xmms-arts
cd xmms-arts*
cp -a README INSTALL AUTHORS COPYING ChangeLog NEWS ../docs/xmms-arts
cd ..

%build
cd xmms-kde*
%ifarch alpha
RPM_OPT_FLAGS="-mieee -O0"
%endif
make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG " \
  ./configure \
    --prefix=/opt/kde2 \
    --with-qt-dir=/usr/lib/qt2 
make
cd ..
cd xmms-arts*
make -f Makefile.cvs
./configure --prefix=/usr/X11R6
LD_RUN_PATH=/opt/kde2/lib \
make
cd ..

%install
cd xmms-kde*
make DESTDIR=$RPM_BUILD_ROOT install
cd ..
cd xmms-arts*
LD_RUN_PATH=/opt/kde2/lib \
make prefix=$RPM_BUILD_ROOT/usr/X11R6/ \
     xmms_output_plugin_dir=$RPM_BUILD_ROOT/usr/X11R6/lib/xmms/Output \
     install
cd ..
# exclude arts plugin from the provide-list
cat << EOF > %{my_provides}
grep -v /usr/X11R6/lib/xmms | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
# normal check for compressed man pages:

%clean
rm -rf %{my_provides} $RPM_BUILD_ROOT

%files
%doc docs/*
/opt/kde2/share/apps/xmms-kde
/opt/kde2/lib/libxmmskde.la
/opt/kde2/lib/libxmmskde.so*
/opt/kde2/share/apps/kicker/applets/xmms-kde.desktop
/usr/X11R6/lib/xmms/Output/libartsout.la
/usr/X11R6/lib/xmms/Output/libartsout.so*

%changelog -n xmms-kde
* Thu Aug 16 2001 - adrian@suse.de
- fix file list
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Jun 12 2001 - adrian@suse.de
- update to xmms-kde 6.5
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Wed Jan 24 2001 - stepan@suse.de
- Alpha AXP compile fixes for gcc 2.95.x
* Wed Jan 03 2001 - adrian@suse.de
- fixed wrong pathes which causes SegFaults
  also using standard KDE 2 directory
* Mon Jan 01 2001 - adrian@suse.de
- update xmms-kde to 0.6.0
* Tue Dec 12 2000 - tiwai@suse.de
- Added xmms aRts plugin.
* Fri Nov 17 2000 - adrian@suse.de
- fixing pathes
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Tue Nov 14 2000 - adrian@suse.de
- Spec file created from xmms-kde-0.5.2.tar.bz2 by autospec
